﻿var Layout = {}
Layout.__namespace = true;

Layout._height = null;

Layout.init = function () {
    /// <summary>Initialize the layout page.</summary>

    $($("#mainSplitter").children("div.k-pane")[0]).css("overflow-x", "hidden");
    setInterval(function () { Layout.resize(); }, 500);

    $("#mainMenu").kendoMenu({
        dataSource: [{
            text: "Home",
            url: "http://www.telerikmvpsamples.com"
        }]
    });
}

Layout.resize = function () {
    /// <summary>Resize the splitter to fit the window.</summary>

    var height = $(window).height();
    if (height != Layout._height) {
        Layout._height = height;
        var mainSplitter = $("#mainSplitter");
        mainSplitter.height(height - 129);
        mainSplitter.resize();

        var contentSplitter = $("#contentSplitter");
        contentSplitter.height(height - 131);
        contentSplitter.resize();
    }
}