﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TaskManager.Data
{
    public interface ISprintRepository
    {
        IList<Developer> GetDevelopers();
        void SaveDeveloper(Developer developer, bool delete = false);

        IList<Sprint> GetSprints();
        string SaveSprint(Sprint sprint, bool delete = false);

        IList<Task> GetTasks();
        IList<Task> GetTasks(Sprint sprint);
        IList<Task> GetTasks(Developer developer);
        void SaveTask(Task task, bool delete);
    }
}
