﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Developer.aspx.cs" Inherits="TaskManager.Views.DeveloperPage" EnableEventValidation="false" %>

<div style="margin: 5px 5px 5px 5px;">
    <a id="saveButton" class="k-button" href="#">Save</a>
</div>

<form id="developerForm" runat="server">
    <asp:HiddenField id="DeveloperId" runat="server"></asp:HiddenField>

    <fieldset><legend>Developer</legend>
        Client-side Validation:
        <ul>
            <li>Either the First Name or the Last Name must be entered.  Try removing both to see the custom validation rule applied.</li>
            <li>Title is required.  Try removing the Title to see what happens.</li>
            <li>The validation rules are applied when attempting to save.  Try saving when there are validation errors.</li>
        </ul>
        <div class="tm-field" style="width:100px;">First Name:</div><div class="tm-field"><asp:TextBox id="FirstName" runat="server"></asp:TextBox></div>
        <div class="tm-field" style="width:20px;">&nbsp;</div>
        <div class="tm-field" style="width:100px;">Last Name:</div><div class="tm-field"><asp:TextBox id="LastName" runat="server"></asp:TextBox></div><br />

        <div class="tm-field" style="width:100px;margin-top:5px;">Title:</div><div class="tm-field"><asp:TextBox id="Title" runat="server" style="width:175px;" required></asp:TextBox></div>
    </fieldset>
</form>

<fieldset><legend>Tasks</legend>
    <div id="taskGrid"></div>
</form>

<div id="messageWindow"></div>

<script src="Scripts/Developer.js" type="text/javascript"></script>
<script type="text/javascript">
    Developer.init();
</script>