﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Navigation.aspx.cs" Inherits="TaskManager.Views.NavigationPage" %>

<form runat="server">
    <ul id="navPanelBar">
        <asp:Repeater id="sprintRepeater" runat="server">
            <HeaderTemplate>
                <li>Sprints
                    <ul>
            </HeaderTemplate>
            <ItemTemplate>
                        <li id="<%# Eval("SprintId")%>" class="tm-sprint"><%# string.Format("Sprint {0}", Eval("SprintId"))%></li>
            </ItemTemplate>
            <FooterTemplate>
                    </ul>
                </li>
            </FooterTemplate>
        </asp:Repeater>

        <asp:Repeater id="developerRepeater" runat="server">
            <HeaderTemplate>
                <li class="tm-developer-pane">Developers
                    <ul>
            </HeaderTemplate>
            <ItemTemplate>
                        <li id="<%# Eval("DeveloperId")%>" class="tm-developer"><%# string.Format("{0} {1}", Eval("FirstName"), Eval("LastName"))%></li>
            </ItemTemplate>
            <FooterTemplate>
                    </ul>
                </li>
            </FooterTemplate>
        </asp:Repeater>
    </ul>
</form>

<script type="text/javascript">
    Master.Navigation.init();
</script>